package cn.com.qmth.examcloud.core.reports.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;


@Entity
@Table(name = "ec_r_user_count",indexes = {
		@Index(name = "IDX_R_USER_COUNT_01", columnList = "rootOrgId,orgId", unique = true)})
public class UserCountEntity extends IdEntity {



	/**
	 * 
	 */
	private static final long serialVersionUID = -6420107706111319346L;


    @NotNull
    private Long rootOrgId;
    @NotNull
    private Long orgId;
    private Integer totalCount;
    private Integer onlineCount;
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public Long getOrgId() {
		return orgId;
	}
	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}
	public Integer getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
	public Integer getOnlineCount() {
		return onlineCount;
	}
	public void setOnlineCount(Integer onlineCount) {
		this.onlineCount = onlineCount;
	}
    
}
